package Config; 

#--------------------------
# Rcliper Configuration File
#
# Purpose: Set up the directories and programs 
# 		   variables for the RCLIPER program.
#
# Written: A. Krautkramer 4/22/2004	
#--------------------------


#=====================================
#	***  Directories
#=====================================


#--- Base Directory containing all the code/data and the RCLIPER directory
$baseDir = "/users/naoper/bin";

#--- Directory containing all of the RCLIPER code/data
$rcliperDir = "$baseDir/rcliper_new";

#--- Directory containing all RCLIPER executables
$binDir = "$rcliperDir/bin";

#--- Directory containing ATCF A deck files
$atcfBtkDir = "/atcf/atcf/btk";
$atcfComDir = "/atcf/atcf/com";
$atcfAidDir = "/atcf/atcf/aid";

#--- Directory where the resulting NMAP RCLIPER grid is stored
#$nmapResultDir = "$rcliperDir/results/nmap";
$nmapResultDir = "/model/rcliper";

#--- Directory RCLIPER output and single time grids are stored
$resultDir =  "$rcliperDir/results/grid";

#---Directory where the resulting postscript, and log are stored
$psResultDir = "$rcliperDir/results/ps";

#--- Directory containing RCLIPER data files
$dataDir = "$rcliperDir/data";

#--- Temporary Directory for intermediate work files 
$workDir = "$binDir/work";

#=====================================
#	*** Flags controlling execution
#=====================================


#--- 0 false
#--- 1 true

$printPS = 0;				#Print the rcliper postscript file 
$createPS = 0;				#Create the rcliper postscript file
$createGrid = 0;			#Create the rcliper gempak grid file for period only
$addGridNMAP = 1;			#Add the rcliper gempak grid file to existing storm grid
$storeResults = 1;			#Add any results of this script to the results directory


#--- Name of Printer to send Postscript files
#@printer = ("jhtcol", "tafbhp");
@printer = ("fiuprn");

#--- File containing GEMPAK environment variables 
$cronprofile = "$binDir/.profile";

#--- GEMPAK routine to convert ascii files to GEMPAK grids
$asctogem = "$binDir/asctogem";


#=====================================
#	***  Perl Packages
#=====================================


#--- Library of general utilities
$generalCode = "$rcliperDir/generalCode/generalUtils_v1.pl";

#--- Code to find active storms 
$atcfStormsCode = "$rcliperDir/generalCode/atcfStorms_v4.pl";

#--- Code to manipulate Best Track ATCF files
$btkDataCode =  "$rcliperDir/generalCode/btk_data.pl";

#--- RCLIPER data file manipulation code
$rcliperDataCode = "$binDir/rcliper_data_v3_1.pl";

#--- RCLIPER plotting code
$rcliperPlotCode = "$binDir/rcliper_plot_v3_1.pl";




1;
